Update Material List by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Material Lists
Update Material List by ID
PUT
/
material-list
/
{id}
Update Material List by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/material-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Body raw (json)
{
"is_template" // nullable | boolean
"customer_id" // nullable | required without is_template | required if is_template=false | existing customer id
"author_id" // nullable | existing user id
"title" // optional | string | max:255
"notes" // optional | string | max:10000
"internal_notes" // optional | string | max:10000
"status_id" // optional | existing custom status id
"status_workflow_id" // required with status_id | existing status workflow id
"groupings": [ // nullable | array
{
"order_number" // nullable | integer
"title" // optional | string | max:255
"type" // optional | string | max:255 | values: 'item', 'group'
"description" // nullable | string
"component_visibility" // required | string | values: 'all', 'group', 'component'
"price_visibility" // required | string | values: 'all', 'group', 'component'
"quantity" // optional | numeric
"commission_amount" // optional | numeric
"hvi_amount" // optional | numeric
"pricebook_id" // nullable | integer | existing Pricebook id
"flat_rate_job_id" // nullable | integer | existing pricebook flat rate job id
"line_items": [ // nullable | array
{
"id" // nullable | integer | existing line item id
"item_id" // nullable | integer | existing item id
"quantity" // optional | numeric
"unit_price" // optional | numeric
"unit_cost" // optional | numeric
"taxable" // nullable | boolean
"title" // optional | string | max:255
"description" // nullable | string
"type" // nullable | string | max:255 | values: 'product', 'service'
"sku" // nullable | string | max:255
"unit_measure" // nullable | string | max:255
"tax_rate" // nullable | numeric
"xero_sales_account" // nullable | integer
"xero_tax_account" // nullable | integer
"reece_item" // nullable | array
"external_type" // nullable | string | max:255
"external_id" // nullable | string | max:255
"external_sync_status" // nullable | string | max:255
"additional_reece_item" // nullable | array
"qbo_income_account_id" // nullable | integer
"qbo_sales_tax_code_id" // nullable | integer
"qbo_expense_account_id" // nullable | integer
"granite_group_item" // nullable | array
"minimum_order_quantity" // nullable | numeric
"price_update_method" // nullable | string | max:255
"automatic_markup_percentage" // nullable | string | max:255
"serialized_inventory_id" // nullable | integer | existing serialized inventory id
"inventory_mode" // nullable | string | max:255
"ces_item" // nullable | array
}
]
}
],
"customfields": [ // nullable | optional | array | description: array of custom fleds
{
"id" // optional | nullable | required if field_instance_id is not set | integer | custom field id
"field_instance_id" // optional | nullable | required if id is not set | integer | custom field instance id
"value" // required | string | custom value
},
{
"id" // optional | nullable | required if field_instance_id is not set | integer | custom field id
"field_instance_id" // optional | nullable | required if id is not set | integer | custom field instance id
"value" // required | string | custom value
}
],
"assignments": [ // nullable| array
{
"user_id" // required | integer | existing user id
"team_id" // nullable | integer | existing team id
}
],
"tags" // nullable | array | existing tag ids
}
Authorizations
Path Parameters
Body
application/json
Required without is_template. Required if is_template=false. Existing customer id.
Existing user id.
Maximum string length:
255Maximum string length:
10000Maximum string length:
10000Existing custom status id.
Required with status_id. Existing status workflow id.
Hide child attributes
Hide child attributes
Available options:
all, group, component Available options:
all, group, component Maximum string length:
255Available options:
item, group Maximum string length:
255Existing Pricebook id.
Existing pricebook flat rate job id.
Hide child attributes
Hide child attributes
Existing line item id.
Existing item id.
Maximum string length:
255Available options:
product, service Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Existing serialized inventory id.
Maximum string length:
255Existing tag ids.